Request message for `https://developers.google.com/google-ads/api/reference/rpc/v25/GoogleAdsService/Search`.

[Proto definition ![GitHub](https://developers.google.com/site-assets/logo-github.svg)](https://github.com/googleapis/googleapis/blob/master/google/ads/googleads/v25/services/google_ads_service.proto)

| Fields ||
|---|---|
| ## `customer_id` | `string` Required. The ID of the customer being queried. |
| ## `page_size` | `int32` This field is deprecated and will be removed in a future version of the API. Google Ads API returns a `PAGE_SIZE_NOT_SUPPORTED` error if this field is set in the request body. |
| ## `page_token` | `string` Token of the page to retrieve. If not specified, the first page of results will be returned. Use the value obtained from `next_page_token` in the previous response in order to request the next page of results. |
| ## `query` | `string` Required. The query string. |
| ## `search_settings` | `https://developers.google.com/google-ads/api/reference/rpc/v25/SearchSettings` Settings that allow users to specify request count, summary row, and results behavior. |
| ## `validate_only` | `bool` If true, the request is validated but not executed. |